Bug 1015848 - [abrt] httpd-2.4.6-2.fc19: create_gridsite_srv_config: Process /usr/sbin/httpd was killed by signal 11 (SIGSEGV)
Summary: [abrt] httpd-2.4.6-2.fc19: create_gridsite_srv_config: Process /usr/sbin/http...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gridsite
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: František Dvořák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1e13c7b2f2af6334bd25e4b0fb3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-06 06:12 UTC by dtdraganov
Modified: 2014-07-30 21:58 UTC (History)
7 users (show)

Fixed In Version: gridsite-1.7.29-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-30 21:58:13 UTC


Attachments (Terms of Use)
File: backtrace (15.25 KB, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: cgroup (139 bytes, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: core_backtrace (7.53 KB, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: dso_list (11.17 KB, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: environ (216 bytes, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: maps (54.09 KB, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: open_fds (218 bytes, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details
File: proc_pid_status (899 bytes, text/plain)
2013-10-06 06:12 UTC, dtdraganov
no flags Details

Description dtdraganov 2013-10-06 06:12:03 UTC
Version-Release number of selected component:
httpd-2.4.6-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/sbin/httpd -t -DDUMP_CERTS
crash_function: create_gridsite_srv_config
executable:     /usr/sbin/httpd
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 create_gridsite_srv_config at /etc/httpd/modules/mod_gridsite.so
 #1 ap_single_module_configure
 #2 load_module
 #3 invoke_cmd
 #4 ap_build_config_sub
 #5 ap_build_config
 #6 ap_process_resource_config
 #7 process_resource_config_nofnmatch
 #8 process_resource_config_fnmatch.isra.5
 #12 ap_process_fnmatch_configs

Comment 1 dtdraganov 2013-10-06 06:12:07 UTC
Created attachment 808411 [details]
File: backtrace

Comment 2 dtdraganov 2013-10-06 06:12:11 UTC
Created attachment 808412 [details]
File: cgroup

Comment 3 dtdraganov 2013-10-06 06:12:15 UTC
Created attachment 808413 [details]
File: core_backtrace

Comment 4 dtdraganov 2013-10-06 06:12:18 UTC
Created attachment 808414 [details]
File: dso_list

Comment 5 dtdraganov 2013-10-06 06:12:22 UTC
Created attachment 808415 [details]
File: environ

Comment 6 dtdraganov 2013-10-06 06:12:26 UTC
Created attachment 808416 [details]
File: exploitable

Comment 7 dtdraganov 2013-10-06 06:12:29 UTC
Created attachment 808417 [details]
File: limits

Comment 8 dtdraganov 2013-10-06 06:12:33 UTC
Created attachment 808418 [details]
File: maps

Comment 9 dtdraganov 2013-10-06 06:12:38 UTC
Created attachment 808419 [details]
File: open_fds

Comment 10 dtdraganov 2013-10-06 06:12:41 UTC
Created attachment 808420 [details]
File: proc_pid_status

Comment 11 Jan Kaluža 2013-10-10 10:46:21 UTC
This crash happens in mod_gridsite. Reassigning to gridsite.

Comment 12 František Dvořák 2014-07-22 12:54:14 UTC
There is some weird memory permission problem when assigning values to global variable 'sitecastaliases'. But it looks like all what is needed it to rebuilt.

I'm going to update to the latest upstream version from this branch (1.7.29) and add more httpd>=2.4 fixes. New update should "accidentally" fix also this bug. :-)

Comment 13 Fedora Update System 2014-07-22 15:07:47 UTC
gridsite-1.7.29-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gridsite-1.7.29-1.fc19

Comment 14 Fedora Update System 2014-07-23 02:59:27 UTC
Package gridsite-1.7.29-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gridsite-1.7.29-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8637/gridsite-1.7.29-1.fc19
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2014-07-30 21:58:13 UTC
gridsite-1.7.29-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.